public class Kreis {
	private double radius;

	public static Kreis createFromRadius(double radius) {
		if (radius<0) throw new RuntimeException();
		return new Kreis(radius);
	}
	
	public static Kreis createFromFlaeche(double flaeche) {
		if (flaeche<0) throw new RuntimeException();
		return new Kreis(Math.sqrt(flaeche/Math.PI));
	}
	
	private Kreis(double radius) {
		this.radius = radius;
	}

	public double getRadius() {
		return radius;
	}
	
	public double getFlaeche() {
		return radius*radius*Math.PI;
	}
}